/*
 * Copyright 2009-2010 Yuichiro Moriguchi
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.morilib.nina.lint;

/**
 *
 *
 * @author MORIGUCHI, Yuichiro 2014/01/11
 */
public class LintCellBlank extends LintCell {

	/**
	 * 
	 * @param cells
	 * @param ch
	 * @param x
	 * @param y
	 */
	public LintCellBlank(LintCells cells, int ch, int x, int y) {
		super(cells, ch, x, y);
	}

	/* (non-Javadoc)
	 * @see net.morilib.nina.lint.LintCell#isPath()
	 */
	@Override
	public boolean isPath() {
		return false;
	}

	/* (non-Javadoc)
	 * @see net.morilib.nina.lint.LintCell#isFrame()
	 */
	@Override
	public boolean isFrame() {
		return false;
	}

	/* (non-Javadoc)
	 * @see net.morilib.nina.lint.LintCell#isAlphabet()
	 */
	@Override
	public boolean isAlphabet() {
		return false;
	}

	/* (non-Javadoc)
	 * @see net.morilib.nina.lint.LintCell#isBlank()
	 */
	@Override
	public boolean isBlank() {
		return true;
	}

	/* (non-Javadoc)
	 * @see net.morilib.nina.lint.LintCell#validate(net.morilib.nina.lint.LintCells)
	 */
	@Override
	public void validate() {
		// do nothing
	}

}
